Bug 178191 - devel/log4c port upgrade to 1.2.3
Summary: devel/log4c port upgrade to 1.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-27 00:20 UTC by Rodrigo OSORIO
Modified: 2013-05-12 17:10 UTC (History)
0 users

See Also:


Attachments
log4c.patch (990 bytes, patch)
2013-04-27 00:20 UTC, Rodrigo OSORIO
no flags Details | Diff
log4c.patch (1.02 KB, patch)
2013-04-28 23:51 UTC, Rodrigo OSORIO
no flags Details | Diff
log4c.patch (1.14 KB, patch)
2013-05-12 12:33 UTC, Rodrigo OSORIO
no flags Details | Diff
log4c.patch (1.14 KB, patch)
2013-05-12 12:33 UTC, Rodrigo OSORIO
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rodrigo OSORIO 2013-04-27 00:20:00 UTC
	Update log4c to 1.2.3
	- memory leak fix
	- fix syslog appender
	- other minor fixes and typo changes
Comment 1 Stefan Walter freebsd_committer 2013-04-28 11:17:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 2 Stefan Walter freebsd_committer 2013-04-28 11:24:46 UTC
Hello Rodrigo,

the port leaves behind files when deinstalled, as can be seen at the end
of the log at [1]. Can you please investigate and send an updated patch
for the port that makes it clean up correctly when deinstalled?

Best regards,
Stefan

[1]: https://redports.org/~stefan/20130428101700-13055-116541/log4c-1.2.3.log
Comment 3 Stefan Walter freebsd_committer 2013-04-28 11:34:57 UTC
State Changed
From-To: open->feedback

Awaiting feedback.
Comment 4 Rodrigo OSORIO 2013-04-28 23:51:09 UTC
On 04/28/13 12:24, Stefan Walter wrote:
> Hello Rodrigo,
>
> the port leaves behind files when deinstalled, as can be seen at the end
> of the log at [1]. Can you please investigate and send an updated patch
> for the port that makes it clean up correctly when deinstalled?
>
> Best regards,
> Stefan
>
> [1]: https://redports.org/~stefan/20130428101700-13055-116541/log4c-1.2.3.log
Hi Stefan,

Thanks for your feedback, and without my redport account back
and without a tinderbox close to me I have to believe on it.
I fix the port plist according with the log, hope that was enough.

Best regards,
- rodrigo

Comment 5 Stefan Walter freebsd_committer 2013-04-28 23:59:12 UTC
Hi Rodrigo,

Rodrigo OSORIO, 29.04.13, 00:50h CEST:

> Thanks for your feedback, and without my redport account back
> and without a tinderbox close to me I have to believe on it.

getting a redports.org account should not be a problem, I guess...

> I fix the port plist according with the log, hope that was enough.

Unfortunately not:

$ portlint -C
FATAL: /home/stefan/src/ports-svn.freebsd.org/devel/log4c/pkg-plist: [33]: unpacked man file log4c-config.1 listed. must be gzipped.
WARN: Makefile: manpage for chapter 1 should be listed in MAN1, even if compression is not necessary.
WARN: Makefile: MAN1 will help you compressing manual page in chapter "1".
1 fatal error and 2 warnings found.

Best regards,
Stefan
Comment 6 Stefan Walter freebsd_committer 2013-05-10 13:22:24 UTC
Hi Rodrigo,

any news on this PR about the devel/log4c update?

Best regards,
Stefan
Comment 7 Rodrigo OSORIO 2013-05-12 12:33:09 UTC
Hi,

Fix everything, now portlint and redports are happy with this version.
Hope this was the last changes I have to make for this PR :)

Best regards,
- rodrigo
Comment 8 Rodrigo OSORIO 2013-05-12 12:33:14 UTC
Hi,

Fix everything, now portlint and redports are happy with this version.
Hope this was the last changes I have to make for this PR :)

Best regards,
- rodrigo
Comment 9 dfilter service freebsd_committer 2013-05-12 17:05:23 UTC
Author: stefan
Date: Sun May 12 16:05:10 2013
New Revision: 317965
URL: http://svnweb.freebsd.org/changeset/ports/317965

Log:
  Update to 1.2.3.
  
  PR:		178191
  Submitted by:	Rodrigo (ros) OSORIO <rodrigo@bebik.net> (maintainer)

Modified:
  head/devel/log4c/Makefile
  head/devel/log4c/distinfo
  head/devel/log4c/pkg-plist

Modified: head/devel/log4c/Makefile
==============================================================================
--- head/devel/log4c/Makefile	Sun May 12 15:32:12 2013	(r317964)
+++ head/devel/log4c/Makefile	Sun May 12 16:05:10 2013	(r317965)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	log4c
-PORTVERSION=	1.2.2
+PORTVERSION=	1.2.3
 CATEGORIES=	devel
 MASTER_SITES=	SF
 
@@ -19,6 +19,8 @@ USE_AUTOTOOLS=	libtool
 USE_LDCONFIG=	yes
 MAKE_JOBS_SAFE=	yes
 
+MAN1=	log4c-config.1
+
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 

Modified: head/devel/log4c/distinfo
==============================================================================
--- head/devel/log4c/distinfo	Sun May 12 15:32:12 2013	(r317964)
+++ head/devel/log4c/distinfo	Sun May 12 16:05:10 2013	(r317965)
@@ -1,2 +1,2 @@
-SHA256 (log4c-1.2.2.tar.gz) = 175509c8e2200c466070f2ae974303e08c2b39581fbeeaee24009f1f89c55308
-SIZE (log4c-1.2.2.tar.gz) = 539391
+SHA256 (log4c-1.2.3.tar.gz) = dcb5e0d9dd3a7a51b91dcd0fe00145521e681f1454f3c3eba159b3a93212ffe0
+SIZE (log4c-1.2.3.tar.gz) = 534781

Modified: head/devel/log4c/pkg-plist
==============================================================================
--- head/devel/log4c/pkg-plist	Sun May 12 15:32:12 2013	(r317964)
+++ head/devel/log4c/pkg-plist	Sun May 12 16:05:10 2013	(r317965)
@@ -27,6 +27,7 @@ include/log4c/version.h
 lib/liblog4c.a
 lib/liblog4c.la
 lib/liblog4c.so
-lib/liblog4c.so.4
+lib/liblog4c.so.6
+libdata/pkgconfig/log4c.pc
 share/aclocal/log4c.m4
 @dirrm include/log4c
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Stefan Walter freebsd_committer 2013-05-12 17:06:21 UTC
State Changed
From-To: feedback->closed

Update committed, thanks for the effort! :-)